// priority: 0

//Loot Table Modification

LootJS.modifiers((event) => {

    // Desert Temple Loot

    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.6).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.2).addLoot("relics:spatial_sign")
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.2).addLoot("relics:space_dissector")
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.2).addLoot("relics:shadow_glaive")
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.2).addLoot("relics:roller_skates")
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.3).addLoot("minecraft:cactus").limitCount([1, 8])
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.3).addLoot("minecraft:wooden_pickaxe")
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.3).addLoot("minecraft:wooden_sword")
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.3).addLoot("minecraft:torch").limitCount([3, 12])
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.3).addLoot("minecraft:glass_bottle").limitCount([1, 2])
    event.addLootTableModifier("minecraft:chests/desert_pyramid").randomChance(0.3).addLoot(Item.of('minecraft:potion', '{Potion:"minecraft:water"}'))

    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:compressed_stone')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:vortex_cannon')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:ingot_iron_compressed')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:transistor')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:capacitor')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:spawner_agitator')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:compressed_iron_helmet')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:compressed_iron_chestplate')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:compressed_iron_leggings')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:compressed_iron_boots')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:pressure_tube')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:gun_ammo_freezing')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:gun_ammo_weighted')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:gun_ammo_explosive')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:gun_ammo_ap')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:gun_ammo_incendiary')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:logistics_core')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:stop_worm')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:nuke_virus')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:programming_puzzle')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('pneumaticcraft:pneumatic_cylinder')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('enderio:wood_gear')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('enderio:dark_steel_ingot')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('enderio:dark_steel_sword')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:iron_horse_armor')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:golden_horse_armor')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:diamond_horse_armor')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:diamond')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:emerald')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:iron_ingot')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:gold_ingot')
    event.addLootTableModifier("minecraft:chests/desert_pyramid").removeLoot('minecraft:enchanted_golden_apple')

    //Red Desert Temple Loot

    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:cactus").limitCount([1, 8])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:red_sand").limitCount([3, 23])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:red_sandstone").limitCount([13, 34])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:wooden_pickaxe")
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:wooden_sword")
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:torch").limitCount([3, 12])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot("minecraft:glass_bottle").limitCount([1, 2])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_basic").randomChance(0.3).addLoot(Item.of('minecraft:potion', '{Potion:"minecraft:water"}'))

    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.4).addLoot("minecraft:bone").limitCount([3, 8])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.4).addLoot("minecraft:gunpowder").limitCount([3, 4])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.4).addLoot("minecraft:rotten_flesh").limitCount([3, 4])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.1).addLoot("minecraft:ender_pearl").limitCount([1, 4])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.1).addLoot("minecraft:zombie_head").limitCount([1, 1])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.1).addLoot("minecraft:creeper_head").limitCount([1, 1])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_mob").randomChance(0.1).addLoot("minecraft:skeleton_head").limitCount([1, 1])

    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_rare").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([9, 32])
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_rare").randomChance(0.1).addLoot("relics:magic_mirror")
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_rare").randomChance(0.1).addLoot("minecraft:dragon_head")
    event.addLootTableModifier("desertopolis:chests/red_sandstone_pyramid_rare").randomChance(0.1).addLoot("minecraft:piglin_head")

    //Pillager Outposts

    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:compressed_stone')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:vortex_cannon')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:ingot_iron_compressed')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:transistor')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:capacitor')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:spawner_agitator')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:compressed_iron_helmet')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:compressed_iron_chestplate')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:compressed_iron_leggings')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:compressed_iron_boots')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:pressure_tube')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:gun_ammo_freezing')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:gun_ammo_weighted')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:gun_ammo_explosive')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:gun_ammo_ap')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:gun_ammo_incendiary')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:logistics_core')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:stop_worm')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:nuke_virus')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:programming_puzzle')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('pneumaticcraft:pneumatic_cylinder')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('minecraft:dark_oak_log')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('enderio:dark_steel_sword')
    event.addLootTableModifier("minecraft:chests/pillager_outpost").removeLoot('enderio:dark_steel_ingot')


    event.addLootTableModifier("minecraft:chests/pillager_outpost").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/pillager_outpost").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([9, 16])
    event.addLootTableModifier("minecraft:chests/pillager_outpost").randomChance(0.2).addLoot("relics:leather_belt")
    event.addLootTableModifier("minecraft:chests/pillager_outpost").randomChance(0.2).addLoot("relics:horse_flute")
    event.addLootTableModifier("minecraft:chests/pillager_outpost").randomChance(0.2).addLoot("relics:amphibian_boot")
    event.addLootTableModifier("minecraft:chests/pillager_outpost").randomChance(0.2).addLoot("relics:infinity_ham")

    //Mineshafts Outposts

    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:compressed_stone')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:vortex_cannon')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:ingot_iron_compressed')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:transistor')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:capacitor')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:spawner_agitator')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:compressed_iron_helmet')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:compressed_iron_chestplate')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:compressed_iron_leggings')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:compressed_iron_boots')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:pressure_tube')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:gun_ammo_freezing')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:gun_ammo_weighted')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:gun_ammo_explosive')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:gun_ammo_ap')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:gun_ammo_incendiary')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:logistics_core')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:stop_worm')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:nuke_virus')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:programming_puzzle')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('pneumaticcraft:pneumatic_cylinder')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('minecraft:dark_oak_log')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('enderio:dark_steel_sword')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('enderio:dark_steel_ingot')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('minecraft:redstone')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('minecraft:lapis_lazuli')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('minecraft:gold_ingot')
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").removeLoot('minecraft:iron_ingot')

    
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").randomChance(0.3).addLoot("minecraft:glass_bottle").limitCount([1, 2])
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").randomChance(0.3).addLoot(Item.of('minecraft:potion', '{Potion:"minecraft:water"}'))
    event.addLootTableModifier("minecraft:chests/abandoned_mineshaft").randomChance(0.3).addLoot(Item.of('toughasnails:purified_water_canteen', '{Damage:0}'))

    //Simple Dungeon

    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:compressed_stone')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:vortex_cannon')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:ingot_iron_compressed')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:transistor')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:capacitor')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:spawner_agitator')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:compressed_iron_helmet')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:compressed_iron_chestplate')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:compressed_iron_leggings')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:compressed_iron_boots')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:pressure_tube')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:gun_ammo_freezing')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:gun_ammo_weighted')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:gun_ammo_explosive')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:gun_ammo_ap')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:gun_ammo_incendiary')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:logistics_core')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:stop_worm')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:nuke_virus')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:programming_puzzle')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('pneumaticcraft:pneumatic_cylinder')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('minecraft:dark_oak_log')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('enderio:dark_steel_sword')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('enderio:dark_steel_ingot')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('minecraft:redstone')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('minecraft:lapis_lazuli')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('minecraft:gold_ingot')
    event.addLootTableModifier("minecraft:chests/simple_dungeon").removeLoot('minecraft:iron_ingot')

    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.3).addLoot("minecraft:glass_bottle").limitCount([1, 2])
    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.2).addLoot("relics:spore_sack")
    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.2).addLoot("relics:blazing_flask")
    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.2).addLoot("relics:ice_breaker")
    event.addLootTableModifier("minecraft:chests/simple_dungeon").randomChance(0.2).addLoot("relics:magic_mirror")

    //Village Chest

    //Armorer

    event.addLootTableModifier("minecraft:chests/village/village_armorer").removeLoot('minecraft:emerald')
    event.addLootTableModifier("minecraft:chests/village/village_armorer").removeLoot('#forge:ingots')
    event.addLootTableModifier("minecraft:chests/village/village_armorer").removeLoot('#forge:gears')
    event.addLootTableModifier("minecraft:chests/village/village_armorer").removeLoot('minecraft:iron_helmet')

    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.2).addLoot("bettercopper:copper_helmet")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.2).addLoot("bettercopper:copper_chestplate")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.2).addLoot("bettercopper:copper_leggings")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.2).addLoot("bettercopper:copper_boots")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.4).addLoot("toughasnails:leafy_helmet")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.4).addLoot("toughasnails:leafy_chestplate")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.4).addLoot("toughasnails:leafy_leggings")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.4).addLoot("toughasnails:leafy_boots")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.3).addLoot("caveopolis:stone_torch").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.3).addLoot("minecraft:torch").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.5).addLoot("minecraft:wooden_axe")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.5).addLoot("minecraft:wooden_sword")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.5).addLoot("minecraft:wooden_pickaxe")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.5).addLoot("minecraft:wooden_hoe")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.5).addLoot("minecraft:wooden_shovel")
    event.addLootTableModifier("minecraft:chests/village/village_armorer").randomChance(0.5).addLoot("opolisutilities:mini_coal").limitCount([8, 16])

    //Butcher

    event.addLootTableModifier("minecraft:chests/village/village_butcher").removeLoot('minecraft:emerald')
    event.addLootTableModifier("minecraft:chests/village/village_butcher").removeLoot('farmersdelight:iron_knife')

    event.addLootTableModifier("minecraft:chests/village/village_butcher").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_butcher").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])

    //Cartographer

    event.addLootTableModifier("minecraft:chests/village/village_butcher").removeLoot('minecraft:compass')

    event.addLootTableModifier("minecraft:chests/village/village_cartographer").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_cartographer").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])

    //Desert House

    event.addLootTableModifier("minecraft:chests/village/village_desert_house").removeLoot('minecraft:emerald')

    event.addLootTableModifier("minecraft:chests/village/village_desert_house").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_desert_house").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_desert_house").randomChance(0.2).addLoot("minecraft:terracotta").limitCount([20, 40])

    //Fisher

    event.addLootTableModifier("minecraft:chests/village/village_fisher").removeLoot('minecraft:emerald')
    event.addLootTableModifier("minecraft:chests/village/village_fisher").removeLoot('minecraft:water_bucket')

    event.addLootTableModifier("minecraft:chests/village/village_fisher").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_fisher").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_fisher").randomChance(0.6).addLoot("farmersdelight:fish_stew")
    event.addLootTableModifier("minecraft:chests/village/village_fisher").randomChance(0.1).addLoot("relics:jellyfish_necklace")

    //Fletcher

    event.addLootTableModifier("minecraft:chests/village/village_fletcher").removeLoot('minecraft:emerald')

    event.addLootTableModifier("minecraft:chests/village/village_fletcher").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_fletcher").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])

    //Mason

    event.addLootTableModifier("minecraft:chests/village/village_mason").removeLoot('minecraft:emerald')

    event.addLootTableModifier("minecraft:chests/village/village_mason").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_mason").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_mason").randomChance(0.5).addLoot("minecraft:terracotta").limitCount([20, 40])
    event.addLootTableModifier("minecraft:chests/village/village_mason").randomChance(0.5).addLoot("minecraft:sandstone").limitCount([20, 40])

    //Shepherd

    event.addLootTableModifier("minecraft:chests/village/village_shepherd").removeLoot('minecraft:shears')

    event.addLootTableModifier("minecraft:chests/village/village_shepherd").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_shepherd").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_shepherd").randomChance(0.3).addLoot("opolisutilities:wooden_shears")

    //Tannery

    event.addLootTableModifier("minecraft:chests/village/village_tannery").removeLoot('minecraft:emerald')

    event.addLootTableModifier("minecraft:chests/village/village_tannery").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_tannery").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])

    //Temple (???)

    event.addLootTableModifier("minecraft:chests/village/village_temple").removeLoot('minecraft:emerald')
    event.addLootTableModifier("minecraft:chests/village/village_temple").removeLoot('minecraft:redstone')
    event.addLootTableModifier("minecraft:chests/village/village_temple").removeLoot('minecraft:lapis_lazuli')
    event.addLootTableModifier("minecraft:chests/village/village_temple").removeLoot('minecraft:gold_ingot')
    
    event.addLootTableModifier("minecraft:chests/village/village_temple").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_temple").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_temple").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([9, 24])
    event.addLootTableModifier("minecraft:chests/village/village_temple").randomChance(0.15).addLoot("strainers:summoning_block")

    //Toolsmith

    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").removeLoot('#minecraft:tools')
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").removeLoot('#forge:gems')
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").removeLoot('#forge:ingots')
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").removeLoot('#forge:gears')

    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.2).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("caveopolis:stone_torch").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:torch").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:cactus").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:wooden_axe")
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:wooden_sword")
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:wooden_pickaxe")
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:wooden_hoe")
    event.addLootTableModifier("minecraft:chests/village/village_toolsmith").randomChance(0.3).addLoot("minecraft:wooden_shovel")

    //Weaponsmith

    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('#forge:armors')
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('#minecraft:tools')
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('#forge:ingots')
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('#forge:gems')
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('#forge:gears')
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('minecraft:oak_sapling')
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").removeLoot('minecraft:obsidian')

    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([3, 8])
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.4).addLoot("opolisutilities:b_bucks").limitCount([6, 16])
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.3).addLoot("minecraft:wooden_axe")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.3).addLoot("minecraft:wooden_sword")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.3).addLoot("minecraft:wooden_pickaxe")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.3).addLoot("minecraft:wooden_hoe")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.3).addLoot("minecraft:wooden_shovel")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.2).addLoot("bettercopper:copper_helmet")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.2).addLoot("bettercopper:copper_chestplate")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.2).addLoot("bettercopper:copper_leggings")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.2).addLoot("bettercopper:copper_boots")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.1).addLoot("lapis_lazuli:lapislazuli_armor_helmet")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.1).addLoot("lapis_lazuli:lapislazuli_armor_chestplate")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.1).addLoot("lapis_lazuli:lapislazuli_armor_leggings")
    event.addLootTableModifier("minecraft:chests/village/village_weaponsmith").randomChance(0.1).addLoot("lapis_lazuli:lapislazuli_armor_boots")

    //BLOCKS 

    event.addLootTableModifier("minecraft:blocks/campfire").removeLoot('minecraft:charcoal')
    event.addLootTableModifier("minecraft:blocks/campfire").addLoot("minecraft:campfire")

    //Mobs

    event.addLootTableModifier("minecraft:entities/iron_golem").removeLoot("minecraft:iron_ingot")
    event.addLootTableModifier("minecraft:entities/zombie").removeLoot("minecraft:iron_ingot")


});
